Page MenuHomePhabricator

Adding externallinks.el_from_namespace on wmf databases
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/163470/ there should be a new column on the externallinks table which is called el_from_namespace. Please add the new column to production to allow merging of that patch set in the future.

This is the first step for merge of that patch set. After the column is added the patch set can be merged.
After merge and deployment on all wikis the maintenance script "populateBacklinkNamespace.php --tables externallinks" needs to be run.
After the run on all wikis the config $wgUseExternallinksNamespaceDBField can be set to true (in mediawiki/core or in operations/mediawiki-config).

Event Timeline

Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender updated the task description. (Show Details)
Aklapper triaged this task as Normal priority.Jan 12 2015, 1:51 PM
Springle claimed this task.Jan 13 2015, 7:09 AM
Springle set Security to None.
greg removed a subscriber: greg.Jan 13 2015, 4:25 PM

This has been started. No ETA yet.

This has been started. No ETA yet.

@Springle: Any vague ETA, now that five weeks have passed?

The schema change is now complete.

The other steps in this task probably deserve their own tasks, or else reassigning this one...

Umherirrender closed this task as Resolved.Apr 22 2015, 2:53 PM

Thanks for the schema change. I will open new task(s) as needed. First the patch set needs merging and deployment.

Krenair reopened this task as Open.Aug 15 2015, 2:47 AM
Krenair added a subscriber: Krenair.

This is not done. The column does not exist on labswiki.

labswiki will run updater after pull of the last changes from master and than the column will be there.

Only production needs manual database changes, because there are some big databases in there.

labswiki will run updater after pull of the last changes from master and than the column will be there.
Only production needs manual database changes, because there are some big databases in there.

labswiki is part of the normal production deployment system. I don't think we run update.php there.

labswiki will run updater after pull of the last changes from master and than the column will be there.
Only production needs manual database changes, because there are some big databases in there.

labswiki is part of the normal production deployment system. I don't think we run update.php there.

Okay, that I was not aware of. I was assuming the same behaviour like beta wikis (http://de.wikipedia.beta.wmflabs.org).

@Springle can you have a look? Thanks.

Krenair closed this task as Resolved.Aug 15 2015, 6:17 PM
Krenair added a subscriber: jcrespo.

Checked with @jcrespo, it's just 26k rows and on wikitech (no replication or major traffic to worry about), so no problem, done.